5 Replies Latest reply: Dec 22, 2012 11:03 AM by Kappy
msimons_1 Level 1 Level 1 (0 points)

I currently own a Mac with version 10.4.11 and have bought Ibank4 not knowing that it doesn't run on this mac. What software do i need in order to run Ibank4 on my machine?

 

Any responses appreciated as i need to get it installed on this machine asap.

 

Regards,

 

Matt.


iMac, Mac OS X (10.4.11)